Bug 251185 (CVE-2007-3851) - CVE-2007-3851 i965 DRM allows insecure packets
Summary: CVE-2007-3851 i965 DRM allows insecure packets
Status: CLOSED CURRENTRELEASE
Alias: CVE-2007-3851
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Aristeu Rozanski
QA Contact:
URL:
Whiteboard: impact=important,source=kernelsec,rep...
Keywords: Security
Depends On: 251188 252305
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-07 16:59 UTC by Marcel Holtmann
Modified: 2012-05-02 15:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-02 15:11:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0705 normal SHIPPED_LIVE Important: kernel security update 2007-09-13 09:21:22 UTC

Description Marcel Holtmann 2007-08-07 16:59:33 UTC
The Intel 965 and above chipsets moved the batch buffer security bit to
another place, this means the current DRM allows commands that can touch
any part of main memory to be submitted on those chipsets. The user
requires to be logged onto a local X server and have access to the drm. 

a) which users typically have access to the drm?  Anyone?

There is an xorg config option to set the permissions, but typically
only the logged in user on the primary X server can actually do anything
as there is a separate authentication processes, so usually the user
already has physical access at that point..

b) what actually can they do with it?  Modify arbitrary physical
   addresses with user-provided data?  Or something less bad?

Transfer user data to any physcial memory address...

The documentation required to actually exploit this bug isn't publicly
available.


Note You need to log in before you can comment on or make changes to this bug.